RCCGPIO(4)

NAME
rccgpio - ADI Engineering RCC-VE and RCC-DFF/DFFv2 GPIO controller

SYNOPSIS
device rccgpio
device gpio
device gpioled

DESCRIPTION
The rccgpio provides a simple interface to read the reset switch state and control the status LEDs.

The software controlled reset switch is known to be available on boards from Netgate. Most people get a button that is a hardware reset.

All the GPIO pins are locked in their intended setup to disallow any harmful settings (the ones that can cause short circuits).

SEE ALSO
gpio(3), gpio(4), gpioled(4), gpioctl(8)

HISTORY
The rccgpio manual page first appeared in FreeBSD 11.0.

AUTHORS
The rccgpio driver was written by Luiz Otavio O Souza <loos@FreeBSD.org>.